require './lib/bunto_auth/version'

Gem::Specification.new do |s|
  s.name                  = 'bunto-auth'
  s.version               = BuntoAuth::VERSION
  s.summary               = 'A simple way to use GitHub OAuth to serve a protected Bunto site to your GitHub organization'
  s.description           = 'A simple way to use GitHub OAuth to serve a protected Bunto site to your GitHub organization.'
  s.authors               = ['Ben Balter', 'Suriyaa Kudo']
  s.email                 = ['ben@balter.com', 'suriyaa@bunto.tk']
  s.homepage              = 'https://github.com/bunto/bunto-auth'
  s.license               = 'MIT'
  s.files                 = `git ls-files`.split("\n")
  s.test_files            = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables           = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_paths         = ['lib']

  s.add_dependency 'bunto', '~> 3.2.1'
  s.add_dependency 'sinatra-index', '~> 0.0'
  s.add_dependency 'sinatra_auth_github', '~> 1.1'
  s.add_dependency 'rack', '~> 1.6'
  s.add_dependency 'dotenv', '~> 2.0'
  s.add_dependency 'rake', '~> 10.3'
  s.add_dependency 'rack-ssl-enforcer', '~> 0.2'
  s.add_dependency 'mercenary', '~> 0.3'
  s.add_dependency 'safe_yaml', '~> 1.0'
  s.add_dependency 'colorator', '~> 1.0'
  s.add_dependency 'activesupport', '~> 4.0'
  s.add_development_dependency 'rspec', '~> 3.1'
  s.add_development_dependency 'rack-test', '~> 0.6'
  s.add_development_dependency 'webmock', '~> 1.2 '
  s.add_development_dependency 'pry', '~> 0.10'
  s.add_development_dependency 'rubocop', '~> 0.35'
end
